# Imagick::setRegistry

(PECL imagick 3 >= 3.3.0)

Imagick::setRegistry — Sets the ImageMagick registry entry named key to value

### Beschreibung

public static Imagick::setRegistry(string `$key`, string `$value`): bool

Sets the ImageMagick registry entry named key to value. This is most useful for setting "temporary-path" which controls where ImageMagick creates temporary images e.g. while processing PDFs.

### Parameter-Liste

`key`

`value`

### Rückgabewerte

Liefert `true` bei Erfolg.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open